package net.jxta.impl.shell.bin.ping;

/**
 * This callback interface represents listeners notifed by PingReplyHandler
 * objects when ping replies arrive.
 * @see PingReplyHandler
 */
public interface PingReplyListener extends java.util.EventListener {

    /**
     * Callback invoked  when a ping reply message
     * is received.
     * @param event The PingReplyEvent
     * @see PingReplyEvent
     * @see PingReplyHandler
     */
    public void pingReply(PingReplyEvent event);
    
}
