/*
 * ListContentHandler.java
 *
 * Created on September 3, 2001, 1:02 AM
 */

package com.sams.jxta.updateCMS;
import net.jxta.protocol.PipeAdvertisement;
import net.jxta.peergroup.PeerGroup;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import net.jxta.share.client.*;
import net.jxta.share.*;
/**
 *
 * @author  Daniel Brookshier, turbogeek@cluck.com
 * @version
 */
public class ListContentHandler extends ListContentRequest{
   /** Creates new ListContentHandler */
   public ListContentHandler(PeerGroup group, String inSubStr) throws InvocationTargetException {
      super(group,  inSubStr);
   }           
   public void notifyMoreResults() {
      System.out.println("Found Content");
      if (listenerList == null){
         missedEvent = true;
         return;
      }
      fire(new ContentEvent(this,ContentEvent.LOAD_DONE,100,false,true));
   }
   //public void notifyFailure() {
   //   fire(new ContentEvent(this,ContentEvent.LOAD_FAIL,100,true,true));
   //}
   
   protected ArrayList listenerList = null;
   boolean missedEvent = false;
   public void addContentListener(ContentListener listenter) {
      if(listenerList  == null){
         listenerList = new ArrayList(1);
      }
      listenerList.add( listenter);
      if (missedEvent){
         System.out.println("Missed an event, but taking care of it anyway :o)");
         missedEvent = false;
        notifyMoreResults();
      }
   }
   
   public void removeContentListener(ContentListener listenter) {
      listenerList.remove(listenerList.indexOf( listenter));
      
   }
   
   /**
    * Notify all listeners that have registered interest for
    * notification on this event type.
    */
   
   protected void fire(ContentEvent contentEvent) {
      if(listenerList  == null){
         return;
      }else{
         for (int i = 0; i < listenerList.size();i++) {
            ((ContentListener)listenerList.get(i)).contentEvent(contentEvent);
         }
      }
   }
   
}
