/*
 * Util.java
 *
 * Created on October 2, 2001, 10:12 PM
 */

package com.sams.jxta;
import net.jxta.document.Advertisement;
import net.jxta.document.Element;
import net.jxta.document.MimeMediaType;
import net.jxta.document.StructuredTextDocument;
import java.io.*;

/**
 *
 * @author  Administrator
 * @version
 */
public class Util {
   
   public static void printAdvertismentDoc(Advertisement advertisment) {
      if (advertisment != null){
         System.out.println(getAdvertismentDoc(advertisment));
      }else{
         System.out.println("Unable to print - Avertisement is null");
      }
      
   }
   public static String getAdvertismentDoc(Advertisement advertisment) {
      
      try {
         
         // display the advertisement as a plain text dcoument.
         MimeMediaType type = new MimeMediaType("text/xml");
         
         // Convert the advertisment to a document
         StructuredTextDocument doc = (StructuredTextDocument)advertisment.getDocument(type);
         
         // Write the advert text to a string.
         StringWriter out = new StringWriter();
         doc.sendToWriter(out);
         
         //Write the doc to a string.
         String docString = out.toString();
         
         // cleanup the writer.
         out.close();
         
         return docString;
         
      }catch(java.io.IOException ioe) {
         ioe.printStackTrace();
         return "Error: IO exception  thrown by StringWriter";
      }catch(java.lang.Exception jle) {
         jle.printStackTrace();
         return "Error: Exception  thrown by getDocument()";
      }
   }//end of printServiceAdvertisment();
   
}
