/*
 * AdvertisementTreeCellRenderer.java
 *
 * Created on August 15, 2001, 5:20 PM
 */

package com.sams.jxta.swing;

import javax.swing.*;
import java.awt.*;
import net.jxta.peergroup.PeerGroup;
import com.sams.jxta.pda.JPDA;
/**
 *
 * @author  Administrator
 * @version
 */
public class PeerGroupRenderer extends DefaultListCellRenderer{
    
    /** Creates new AdvertisementTreeCellRenderer */
    public PeerGroupRenderer() {
    }
    public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus){
        
        super.getListCellRendererComponent( list, value, index, isSelected, cellHasFocus);
        
        PeerGroup peerGroup = (PeerGroup)value;
        if(peerGroup != null){
            int start = JPDA.JPDA_ROOT_GROUP.length()+1;
            String name = peerGroup.getPeerGroupName();
            if (name.length() > start){
                name = name.substring(start);
            }else{
                name ="World";
            }
            setText(name);
        }else{
            setText("Null Value Error");
        }
        
        return this;
    }//End of getListCellRendererComponent()
}//End of class PeerGroupRenderer